### Method

# Pango FontDescription set_variations_static

since: 1.42

#### Declaration [src]

    void
    pango_font_description_set_variations_static (
      PangoFontDescription* desc,
      const char* variations
    )

#### Description [src]

Sets the variations field of a font description.

This is like `pango_font_description_set_variations()`, except that no copy of `variations` is made. The caller must make sure that the string passed in stays around until `desc` has been freed or the name is set again. This function can be used if `variations` is a static string such as a C string literal, or if `desc` is only needed temporarily.

Available since: 1.42

#### Parameters

`variations`

  Type: `const char*`

  A string representing the variations.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.